# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/asda/<h1><marquee>_hello</h1>/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/asda/<h1><marquee>_hello</h1>/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Asda\\<h1><marquee>Hello</h1>\\": "packages/asda/<h1><marquee>_hello</h1>/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Asda\<h1><marquee>Hello</h1>\Providers\<h1><marquee>Hello</h1>ServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        '<h1><marquee>Hello</h1>'  => Asda\<h1><marquee>Hello</h1>\Facades\<h1><marquee>Hello</h1>::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Asda\\<h1><marquee>Hello</h1>TableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Asda\<h1><marquee>Hello</h1>\Providers\<h1><marquee>Hello</h1>ServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Asda\<h1><marquee>Hello</h1>\Providers\<h1><marquee>Hello</h1>ServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Asda\<h1><marquee>Hello</h1>\Providers\<h1><marquee>Hello</h1>ServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/<h1><marquee>_hello</h1>/{modulename}

**User**

    http://path-to-route-folder/user/<h1><marquee>_hello</h1>/{modulename}

**Public**

    http://path-to-route-folder/<h1><marquee>_hello</h1>s


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/<h1><marquee>_hello</h1>/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/<h1><marquee>_hello</h1>/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/<h1><marquee>_hello</h1>/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/<h1><marquee>_hello</h1>/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/<h1><marquee>_hello</h1>/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/<h1><marquee>_hello</h1>/{modulename}/{slug}
    METHOD: GET